---@module 'lazy'
---@type LazySpec
return { {
	'folke/todo-comments.nvim', -- for highlighting TODO and stuff comments
	event = 'VeryLazy',
	dependencies = { 'nvim-lua/plenary.nvim' },
	---@module 'todo-comments'
	---@type TodoOptions
	opts = {
		signs = false,
		colors = {
			hint = { "Comment" }
		},
	},
	config = function(_, opts)
		local todo = require 'todo-comments'
		todo.setup(opts)

		Map('n', '<leader>st', '<cmd>TodoTelescope keywords=TODO,FIX,BUG,WARN<cr>',
			{ desc = '[S]earch [T]odos]' })
	end,
} }
